> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domainv1beta1licensedusers

> Lists the licensed users of the domain.



## OpenAPI

````yaml /openapis/domain.json get /domain/v1beta1/licensedUsers
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: domain
    description: >-
      Lets you manage (list, load, patch, update, add new, delete) domain
      settings (beta version, subject to change)
  - name: crosslibraryview
    description: Lets you update cross library view
paths:
  /domain/v1beta1/licensedUsers:
    get:
      tags:
        - domain
      description: Lists the licensed users of the domain.
      operationId: domain:v1beta1.LicensedUsers.list
      parameters:
        - name: status
          in: query
          description: >-
            The status of licenses to search for. (Possible values: ACTIVE,
            EXPIRED, OVER_DOMAIN_LIMIT. Default: ACTIVE)
          required: false
          schema:
            type: string
            enum:
              - ACTIVE
              - EXPIRED
              - OVER_DOMAIN_LIMIT
            default: ACTIVE
        - name: query
          in: query
          description: The pattern to look for (substring)
          required: false
          schema:
            type: string
        - name: domain
          in: query
          description: The domain
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/limit_query_parameter'
        - name: order
          in: query
          description: >-
            The attribute ('email', 'name', 'lastLogin' or 'lastActivity') used
            to sort the licensed users and the order ('asc' or 'desc'), e.g.
            'lastActivity desc'
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/nextPageToken_query_parameter'
        - $ref: '#/components/parameters/pageToken_query_parameter'
      responses:
        '200':
          description: A ApiLicensedUserList response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiLicensedUserList'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    limit_query_parameter:
      name: limit
      in: query
      description: 'The maximum number of licensed users per page. (Default: 50)'
      required: false
      schema:
        type: integer
        format: int32
        default: 50
    nextPageToken_query_parameter:
      name: nextPageToken
      in: query
      description: DEPRECATED. Use pageToken instead.
      required: false
      schema:
        type: string
    pageToken_query_parameter:
      name: pageToken
      in: query
      description: >-
        The token for continuing a previous list request on the next page. This
        should be set to the value of 'nextPageToken' from the previous
        response.
      required: false
      schema:
        type: string
  schemas:
    ApiLicensedUserList:
      type: object
      properties:
        count:
          type: integer
          format: int32
        kind:
          type: string
        licensedUserList:
          type: array
          items:
            $ref: '#/components/schemas/ApiLicensedUser'
        maxSeats:
          type: integer
          format: int32
          description: The maximum number of licensed users (0 means unlimited)
        nextPageToken:
          type: string
    ApiLicensedUser:
      type: object
      properties:
        archived:
          type: boolean
        email:
          type: string
        kind:
          type: string
        lastActivity:
          type: string
          format: date-time
        lastEdit:
          type: string
          format: date-time
        lastLogin:
          type: string
          format: date-time
        lastView:
          type: string
          format: date-time
        name:
          type: string
        orgUnitPath:
          type: string
        overDomainLimit:
          type: boolean
        revokeCooldownDate:
          type: string
          format: date-time
        suspended:
          type: boolean
        thumbnailPictureUrl:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````